/* emath: extended math function library by Ron Finger */

#include <math.h>
#define RADIAN  57.29577951308232

#ifdef __cplusplus
extern "C" {
#endif

double  alog10(double x);
double  cbrt(double x);
double  cube(double x);
double  deg(double x);
double  fact(int n);
double  pwr(double x, int n);
double  rad(double x);
double  roundp(double x, int n);
long    round(double x);
int     sign(double x);
double  sqr(double x);
int     swapi(int *x, int *y);
double  swapf(double *x, double *y);

#ifdef __cplusplus
}
#endif

