#include <math.h>

/* pwr function returns x raised to positive or negative integer power n */
double pwr(double x, int n)
{
   if (x == 0.0)
      return 0.0;
   else if (n == 0)
      return 1.0;
   else {
      double a = x;
      int i = abs(n);
      while (i-- > 1)
         a *= x;
      if (n > 0)
         return a;
      else
         return 1.0/a;
   }
}
