#include <emath.h>

/* roundp function returns x rounded to n decimal places */
double roundp(double x, int n)
{
  double integer;
  double ptemp = pow10(n);
  double rtemp = (x + (sign(x)*0.5/ptemp))*ptemp;
  modf(rtemp, &integer);
  return integer/ptemp;
}
